--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.75, 0.02, "- Fendt 900 Vario Info -");
		renderText(0.72, 0.73, 0.02, "Taste Numpad 4: Arbeitslicht vorne an/aus");
		renderText(0.72, 0.71, 0.02, "Taste Numpad 5: Arbeitslicht hinte an/aus");
		renderText(0.72, 0.69, 0.02, "Taste 7,8: Standgas Mehr/Weniger");
		renderText(0.72, 0.67, 0.02, "Taste T: Handgas Volllast");
		renderText(0.72, 0.65, 0.02, "Taste Numpad 1: Blinker Links");
		renderText(0.72, 0.63, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.61, 0.02, "Taste Numpad 3: Blinker Rechts");
        renderText(0.72, 0.59, 0.02, "Leertaste: IC Control an/aus");
		renderText(0.72, 0.57, 0.02, "Taste N: Handbremse");
		renderText(0.72, 0.55, 0.02, "Pos1: RUL ein/aus");
		renderText(0.72, 0.53, 0.02, "Taste U: Allrad zuschalten");
		renderText(0.72, 0.51, 0.02, "Numpad Komma: 1x: Zuendung ein - 2x: Motor an/aus");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




